Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

When trying to add an existing git repository to redmine, we get the error:

Path to repository is invalid

I think this is because our newer git repositories were created using git 2.17.  We can successfully add git repositories that were

created with prior versions of git.  It would be nice to have support for git repositories created with git 2.17.

History

#1 - 2019-02-21 21:00 - Cliff Ingham

- File debug.log added

I've attached the relevant portion from the debug log.  It looks like it is complaining that the repository already exists.   However, when I go into mysql,

and do a select for all the repositories, the one I'm trying to create does not exist.

#2 - 2019-02-22 16:11 - Cliff Ingham

After debugging some more, it turns out the regexp for valid GIT repository urls does not allow periods in the repository name.  So, the Github naming

scheme is not valid.

Validating /srv/git/kubernetes.git

Using regexp: file:///srv/git/[a-z0-9_]+

It seems like the regexp should allow periods in the url.

#3 - 2019-02-22 16:22 - Cliff Ingham

- Status changed from New to Resolved

Okay, so it turns out I was just very confused.  This was all because of our the invalid regexp in our configuration.yml.

Redmine was correctly applying the path regexp that we had declared in our configuration.yml.

#4 - 2019-02-27 10:08 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

debug.log 1.38 KB 2019-02-21 Cliff Ingham
